> For the complete documentation index, see [llms.txt](https://docs.hydromancer.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hydromancer.xyz/readme/rest-api/token-deployment/perpdeployauctionstatus.md).

# perpDeployAuctionStatus

Get the current perp deploy auction status.

## POST Request

<table><thead><tr><th width="161.9998779296875">Field</th><th width="119">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>string</td><td>Must be <code>"perpDeployAuctionStatus"</code></td></tr></tbody></table>

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "perpDeployAuctionStatus"
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'perpDeployAuctionStatus'
    },
    headers={
        'Authorization': f'Bearer {os.environ.get("HYDROMANCER_API_KEY")}',
        'Content-Type': 'application/json'
    }
)

print(response.json())
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
import axios from 'axios';

try {
    const response = await axios.post('https://api.hydromancer.xyz/info', {
        type: 'perpDeployAuctionStatus'
    }, {
        headers: {
            'Authorization': `Bearer ${process.env.HYDROMANCER_API_KEY}`,
            'Content-Type': 'application/json'
        }
    });

    console.log(response.data);
} catch (error) {
    console.error('Error:', error.message);
}
```

{% endtab %}
{% endtabs %}

***

## Response Fields

| Field              | Type    | Description                                     |
| ------------------ | ------- | ----------------------------------------------- |
| `startTimeSeconds` | int     | Auction start time (unix seconds)               |
| `durationSeconds`  | int     | Auction duration in seconds                     |
| `startGas`         | string  | Starting gas price                              |
| `currentGas`       | string? | Current gas price (null if auction ended)       |
| `endGas`           | string? | Ending gas price (null if auction still active) |

<details>

<summary>Response</summary>

```json
{
    "startTimeSeconds": 1773658800,
    "durationSeconds": 111600,
    "startGas": "1000.0",
    "currentGas": "988.88346326",
    "endGas": null
}
```

</details>
